- Qt 5.3
- Qt Quick
- C++ Classes
- QSGDynamicTexture
- Qt 5.3.2 Reference Documentation

# QSGDynamicTexture Class

The QSGDynamicTexture class serves as a baseclass for dynamically changing textures, such as content that is rendered to FBO's. More...

Header: | `#include <QSGDynamicTexture>`
qmake: | `QT += quick`
Inherits: | QSGTexture.

- List of all members, including inherited members

## Public Functions

virtual bool | updateTexture() = 0

- 18 public functions inherited from QSGTexture

## Detailed Description

The QSGDynamicTexture class serves as a baseclass for dynamically changing textures, such as content that is rendered to FBO's.

To update the content of the texture, call updateTexture() explicitly. Simply calling bind() will not update the texture.

Note: All classes with QSG prefix should be used solely on the scene graph's rendering thread. See Scene Graph and Rendering for more information.

## Member Function Documentation

### bool QSGDynamicTexture::updateTexture()`[pure virtual]`

Call this function to explicitly update the dynamic texture. Calling bind() will bind the content that was previously updated.

The function returns true if the texture was changed as a resul of the update; otherwise returns false.